Bug 1052216 - bad version of qemu-img-rhev in dependencies
Summary: bad version of qemu-img-rhev in dependencies
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.4.0
Assignee: Nir Soffer
QA Contact: Tareq Alayan
URL:
Whiteboard: storage
Depends On: 1054393
Blocks: 1055514 1055516 1058711 rhev3.4beta 1142926
TreeView+ depends on / blocked
 
Reported: 2014-01-13 14:01 UTC by movciari
Modified: 2016-02-10 17:53 UTC (History)
12 users (show)

Fixed In Version: av1
Doc Type: Bug Fix
Doc Text:
An older version of qemu-kvm-rhev in the dependencies of vdsm caused deployment of ovirt-hosted-engine-setup to fail when calling the following command "sudo -u vdsm -g kvm qemu-img info --output json /path/to/file". With this update, vdsm requires a newer version of qemu-kvm-rhev, so now qemu-img can be used when deploying the hosted engine.
Clone Of:
: 1052233 1055514 1055516 (view as bug list)
Environment:
Last Closed: 2014-06-09 13:27:47 UTC
oVirt Team: Storage
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:0504 0 normal SHIPPED_LIVE vdsm 3.4.0 bug fix and enhancement update 2014-06-09 17:21:35 UTC

Description movciari 2014-01-13 14:01:22 UTC
Description of problem:
old version of qemu-img-rhev in dependencies of vdsm causes deployment of ovirt-hosted-engine-setup to fail because of bug when calling 'qemu-img info' with certain parameters
version from qemu-kvm-rhev-0.12.1.2-2.407.el6.src.rpm causes deployment to fail
in qemu-img-rhev version from qemu-kvm-rhev-0.12.1.2-2.415.el6_5.3.src.rpm problems are fixed



Version-Release number of selected component (if applicable):
vdsm-4.13.2-0.6.el6ev

How reproducible:
always

Steps to Reproduce:
1. install vdsm with qemu-kvm-rhev-0.12.1.2-2.407 as dependency
2. sudo -u vdsm -g kvm qemu-img info --output json /tmp/tmp1lL1sl

Actual results:
qemu-img fails with "Invalid option"

Expected results:
qemu-img should work with these parameters

Additional info:

Comment 2 Dan Kenigsberg 2014-01-13 16:26:02 UTC
movciari, how prevalent is this broken version of qemu-img?
Do you think we should block rhev-3.3.0 on that, or can it wait for z-stream?

Comment 3 Nir Soffer 2014-01-16 18:53:33 UTC
(In reply to movciari from comment #0)

Can you verify that the attached patch works for you?

Comment 5 Tareq Alayan 2014-02-17 08:41:39 UTC
verified on vdsm-4.14.1-3.el6.x86_64

Comment 8 errata-xmlrpc 2014-06-09 13:27:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-0504.html


Note You need to log in before you can comment on or make changes to this bug.